Subject: Re: Appletalk and IIGS
From: [email-masked] (Paul Pietromonaco)
Date: Mon, 22 Jan 1996 01:04:04 -0800
Newsgroups: comp.sys.apple2

In article <1107cc$14924.ea@news>, Tobylaroni <[email-masked]> wrote:

> On this subject:
> 
> I'd like to (at the probable protests of my twin brother) connect my 
> Apple IIgs to a Mac Performa 550 for the purposes of transfering files 
> and in the future (hopefully) share an inkjet printer. Can I have some 
> info as to how this is to be done?  Thanks!  (If my brother refuses, is 
> it possible to set up a similar procedure with a Mac Plus? or is it 
> worth it?)
> 
> Thanks,
> Tobylaroni

Hiya Tobylaroni,
   Want some info?  You got it!  I have a limited appletalk network set up
right now between my Apple IIgs, and my Macintosh IIcx.  Here's how to do
it:  (Note:  This is a long post for a newsgroup, but, this is a great
subject, others might find it useful and it helps extend the life of the
IIgs quite a bit.  Plus, it's just really cool to do!)
   Connections:  If you just want a computer to computer connection, you
can use the printer cable that you would use to connect a IIgs to a
ImageWriter II, and plug it instead into the Macintosh printer port. 
(i.e. printer port to printer port with a printer cable).  If you want
more, like having additional macintoshes, or a network printer connected,
you'll have to use something like Farralon's phone net plus boxes, which
work well.  These are little boxes that have an appletalk cable on one
end, and two phone jacks on the other.  They cost about $12 to $20 a
piece, and you'd get one for each piece of equipment you're connecting. 
(I recommend the phone net Plus, instead of the regular phone net boxes,
because they have built in termination.  The original boxes have a
resistor that have to be on some, but not all, of the boxes.  With the
phone net plus, you just "plug and play". (^_^)).
   Macintosh side:  You have to be running system 7 or higher.  Make sure
networking is installed.  From the chooser, turn on apple talk.  Then,
open the control panel, and double click on sharing setup.  Give your
owner name and turn on the file sharing.  Share your whole hard disk (hey
- why not?  You're the only person on your net anyway).  Close this window
and open Users and groups from the control panel.  Set up a dummy account,
and close the window.  That's it for the mac.  (Reboot, just to be sure).
   Apple IIgs side:  (I strongly suggest using GS/OS 6.0.1 for this)  Make
sure that you've installed AppleTalk from your GS/OS master discs.  Go to
the Main control panel (CDA) with a control-open apple-escape.  Go to
slots.  Turn slot 1 to your card.  Turn slot 7 to apple talk.  Reboot.   
Now, from GS/OS, select Control Panels from the Apple Menu.  Select Apple
Share.  Set your user name to the dummy account you created on the mac. 
Select your Mac from the file server list.  Click ok, and log on.  From
the Extras Menu, you can use Easy Mount to make an alias for your Mac's
shared hard drive.  Then, the next time you start your apple IIgs, you
don't even have to access the control panel.
   That's about it.  Note:  Unfortunately, I've had to write this post
from memory, since I'd have to log off my mail server to restart
AppleTalk, so please forgive me if I've missed a step on the Mac or the
IIgs.  If there's interest in the exact steps, I can post a step by step
walkthrough.  Trust me, it does work, and it works well.  
   Don't expect blinding speed, though.  This is an easy net to set up,
but it sure ain't a fast net! (^_^).
   As to whether or not you can use a MacPlus, the answer is you can, but
System 7 is pretty crowded on the Mac Plus, so it would almost have to be
set up as a dedicated server for file sharing.  Sharing a printer between
the Mac Plus and the IIgs would be great, though.  (I think, anyway, I
don't have a MacPlus, so I can't really verify this.)
   Later,
   Paul

-- 
*****************************************************************
"Watashi wa Nihon no Anime ga ichiban sukidesu.  Anime no Tenchi
 Muyo no Ryoko ni aitai desu.  Watashi mo Ayeka ni aitai desu."

     "Have you hugged your Ryo-ohki today?"      ___/^_^\___
 
                               [email-masked]

************************ NetManage, Inc. ************************
*****  Home of Chameleon - TCP/IP Applications for Windows  *****
**********  Home of ECCO - The Super PIM for Windows  ***********